LifecycleStatus (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.kernel.lifecycle
Enum LifecycleStatus

    java.lang.Object
      java.lang.Enum<LifecycleStatus>
          org.neo4j.kernel.lifecycle.LifecycleStatus

All Implemented Interfaces:
  Serializable, Comparable<LifecycleStatus>

    public enum LifecycleStatus

extends Enum<LifecycleStatus>

Enumerates the different status an instance can have while managed through LifeSupport.

Enum Constant Summary
`INITIALIZING`
`NONE`
`SHUTDOWN`
`SHUTTING_DOWN`
`STARTED`
`STARTING`
`STOPPED`
`STOPPING`

Method Summary
`static LifecycleStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LifecycleStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final LifecycleStatus NONE

### INITIALIZING

    public static final LifecycleStatus INITIALIZING

### STARTING

    public static final LifecycleStatus STARTING

### STARTED

    public static final LifecycleStatus STARTED

### STOPPING

    public static final LifecycleStatus STOPPING

### STOPPED

    public static final LifecycleStatus STOPPED

### SHUTTING_DOWN

    public static final LifecycleStatus SHUTTING_DOWN

### SHUTDOWN

    public static final LifecycleStatus SHUTDOWN

Method Detail

### values

    public static LifecycleStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LifecycleStatus c : LifecycleStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LifecycleStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.